Bug 827737 - yum ignores gpgcheck=1 flag.
yum ignores gpgcheck=1 flag.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 13:58 EDT by Graham Cole
Modified: 2014-01-21 18:22 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:56:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Cole 2012-06-02 13:58:05 EDT
Description of problem:
yum will install or localinstall specified rpms that have no gpg signature or a signature that is not included in the database.


Version-Release number of selected component (if applicable):


How reproducible:
every time

Steps to Reproduce:
1. Install a clean system
2. yum install http://rpm.livna.org/livna-release.rpm
3. press 'y' when prompted
  
Actual results:
The install goes forward and the rpm is installed


Expected results:
The install should fail since it's a clean system and the livna gpg key is not installed.

Additional info:

[root@dagon ~]# yum install http://rpm.livna.org/livna-release.rpm
Loaded plugins: langpacks, presto, refresh-packagekit
livna-release.rpm                                        | 3.9 kB     00:00     
Examining /var/tmp/yum-root-KumJGl/livna-release.rpm: 1:livna-release-1-1.noarch
Marking /var/tmp/yum-root-KumJGl/livna-release.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package livna-release.noarch 1:1-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch          Version         Repository             Size
================================================================================
Installing:
 livna-release        noarch        1:1-1           /livna-release        2.4 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 2.4 k
Installed size: 2.4 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : 1:livna-release-1-1.noarch                                   1/1 
  Verifying  : 1:livna-release-1-1.noarch                                   1/1 

Installed:
  livna-release.noarch 1:1-1
Comment 1 Graham Cole 2012-06-04 00:37:36 EDT
Looks like localpkg_gpgcheck is defaulting to 0.  I wasn't aware of this option previously. I see this issue mentioned in 717566, so it seems to be somewhat of an issue, but I gather yum itself is not being looked at, only PackageKit.

So I have a workaround to get the desired behavior, however I would advocate for the localpkg_gpgcheck=1 to be the default as I could have botched myself expecting that the signature would be checked.  This seems to be a change in behavior over previous versions of yum/fedora and seeing as there is no mention of an option to force a gpg check in the primary yum manpage (only the yum.conf manpage). In summary, this change in default behavior creates a real possibility for users to do dangerous things unintentionally.
Comment 2 Jon Dowland 2013-02-15 03:11:12 EST
I hit this problem yesterday but I've only just discovered this bug. I really think localpkg_gpgcheck should default to 1. The signature error message for failing to install a package could hint about localpkg_gpgcheck or --nogpgcheck (it's a shame there isn't a corresponding --gpgcheck command line flag) to minimize inconvenience for people who don't care. It would make enabling EPEL and things like that slightly more inconvenient, but as things stand there's very little way to be sure that you've got the right EPEL, since you cannot verify the GPG signature anyway. (no signatures on the signing key!)
Comment 3 Fedora End Of Life 2013-07-03 22:17:43 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 03:57:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.